{
	File:		TargetInfoMgt.p

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <4>	 5/10/94	KBA		Added Mod. Data field to info record.
		 <3>	 4/17/94	KBA		Added support for new format of the target info and target vers
									parameter blocks passed to the extension code resources.
		 <2>	 11/7/93	KBA		Added field to TargetInfoPB that tells the code resource the
									type of data we are concerned about.
		 <1>	10/14/93	KBA		first checked in

}



UNIT TargetInfoMgt;

{****************************************} INTERFACE {****************************************}

USES Files;

CONST
	kDataTypeIsFile		= -1;
	kDataTypeIsRsrc		= 1;

TYPE
	InfoTypes =	(fileInfoPB, rsrcInfoPb);
	TargetInfoPB = RECORD
		fSrcFSSpec			: FSSpec;
		fSrcDataType		: LongInt;
		CASE InfoTypes OF
			fileInfoPB:
				(
					fTgtFileName		: Str31;
					fTgtFinderAttrs		: INTEGER;
					fTgtDataForkSize	: LongInt;	
					fTgtRsrcForkSize	: LongInt;	
					fTgtCreationDate	: LongInt;	
					fTgtFileType		: ResType;	{ Not supported in 4.0.0 }
					fTgtFileCreator		: ResType;	{ Not supported in 4.0.0 }
					fTgtModDate			: LongInt;	{ Not supported in 4.0.0 }
				);
				
			rsrcInfoPb:
				(
					fSrcRsrcType		: OSType;	
					fSrcRsrcID			: INTEGER;
					fTgtRsrcType		: OSType;	
					fTgtRsrcID			: INTEGER;
					fTgtRsrcAttrs		: INTEGER;
					fTgtRsrcSize		: LongInt;	
				);
		END;

	
	TargetInfoPBPtr =	^TargetInfoPB;


FUNCTION GetTgtInfoForAtomExtender(	pAccessoriesFileRefNum 	: INTEGER;
									pAtomExtenderID			: INTEGER;
									pTgtInfoPBPtr			: TargetInfoPBPtr ) : OSErr;

IMPLEMENTATION
	{ Implemented in C in TargetInfoMgt.c }

END.		{ TargetInfoMgt UNIT }






