/*
	File:		ScriptCheckTypes.r

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	11/10/93	KBA		Added 'scvc' resource for calling a code resource to retrieve
									the version number.
		 <1>	10/14/93	KBA		first checked in

*/


#define evenPaddedString																						\
	pstring;																									\
	align word


/*
 ----------------------------------- ScriptCheck Target Info -----------------------------------*/
/* This resource is used by ScriptCheck when checking source files and resources that have been compressed. */

#define	scriptCheckAtomExtFlags							\
		fill bit[16];

type 'scex' {
		switch {
			case format0:
				key integer = 0;		/* Format version */
				scriptCheckAtomExtFlags;/* Flags for Format 0 */
				literal longint;		/* Type of code resource */
				integer;				/* ID of code resource */
				longint;				/* Refcon for parameter block */
				longint;				/* Requested Memory in bytes */
				evenPaddedString;		/* Status Description  */	
		};
};

/*
 ----------------------------------- ScriptCheck Version Info -----------------------------------*/
/* This resource is used by ScriptCheck when checking source files and resources to get the source version. */

#define	scriptCheckVersCompareFlags							\
		fill bit[16];

type 'scvc' {
		switch {
			case format0:
				key integer = 0;			/* Format version */
				scriptCheckVersCompareFlags;/* Flags for Format 0 */
				literal longint;			/* Type of code resource */
				integer;					/* ID of code resource */
				longint;					/* Refcon for parameter block */
				longint;					/* Requested Memory in bytes */
				evenPaddedString;			/* Status Description  */	
		};
};

